### Method

# Dex FutureSet get_future_at

#### Declaration [src]

    DexFuture*
    dex_future_set_get_future_at (
      DexFutureSet* future_set,
      guint position
    )

#### Description [src]

Gets a `DexFuture` that was used to produce the result of `future_set`.

Use `dex_future_set_get_size()` to determine the number of `DexFuture` that are contained within the `DexFutureSet`.

#### Parameters

`position`

  Type: `guint`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The returned data is owned by the instance.